Subject: Re: bug#55439: [PATCH] Add support for the Modi script

From: Pankaj Jangid <[email-masked]>
Date: Wed, 18 May 2022 12:42:17 +0530

समीर सिंह Sameer Singh <[email-masked]> writes:

> Rereading my previous email, I think its tone may come across as rude/angry.
> It was not my intention. It is hard to properly convey a tone with text. I
> am sorry.

I don’t remember I got offended by any of the emails in this mailing
list. Intention is what matters to. And it is all good here. No worries.

> ...
> Devanagari is a widely used script, many languages use it, such as:
> Konkani, Bodo, Rajasthani, Hariyanvi, Bhojpuri, Maithili, Newa, Kashmiri,
> Dogri, Kumaoni etc.

I am not disagreeing to what you are saying. My concern is habit and
usability. People usually search for language.

> Therefore it is better to write just one entry that demonstrates that Emacs
> supports this character set, after all this is the main purpose of
> etc/HELLO.

Technically, one entry is enough for showcasing the script. But looking
at the table heading in etc/HELLO, it appears that this file is for
showing language and not the script.

--8<---------------cut here---------------start------------->8---
LANGUAGE (NATIVE NAME)	HELLO
----------------------	-----
Amharic (አማርኛ)	ሠላም
Arabic (العربيّة)	السّلام عليكم
Armenian (հայերեն)	Բարև ձեզ
...
--8<---------------cut here---------------end--------------->8---

It is really odd and not very helpful when we open this file and find
nothing for "Hindi".